clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::tidy::llvm::LLVMHeaderGuardCheck Class Reference

Finds and fixes header guards that do not adhere to LLVM style. More...

`#include <HeaderGuardCheck.h>`

Inheritance diagram for clang::tidy::llvm::LLVMHeaderGuardCheck:
[legend]
Collaboration diagram for clang::tidy::llvm::LLVMHeaderGuardCheck:
[legend]

## Public Member Functions
| LLVMHeaderGuardCheck (StringRef Name, ClangTidyContext *Context)
bool | shouldSuggestEndifComment (StringRef Filename) override
| Returns true if the checker should suggest inserting a trailing comment on the #endif of the header guard. More...
bool | shouldFixHeaderGuard (StringRef Filename) override
| Returns true if the checker should suggest changing an existing header guard to the string returned by getHeaderGuard. More...
std::string | getHeaderGuard (StringRef Filename, StringRef OldGuard) override
| Get the canonical header guard for a file. More...
Public Member Functions inherited from clang::tidy::HeaderGuardCheck
| HeaderGuardCheck (StringRef Name, ClangTidyContext *Context)
void | registerPPCallbacks (CompilerInstance &Compiler) override
| Override this to register `PPCallbacks` with `Compiler`. More...
virtual bool | shouldSuggestToAddHeaderGuard (StringRef Filename)
| Returns true if the checker should add a header guard to the file if it has none. More...
virtual std::string | formatEndIf (StringRef HeaderGuard)
| Returns a replacement for endif line with a comment mentioning `HeaderGuard`. More...
Public Member Functions inherited from clang::tidy::ClangTidyCheck
| ClangTidyCheck (StringRef CheckName, ClangTidyContext *Context)
| Initializes the check with `CheckName` and `Context`. More...
virtual void | registerMatchers (ast_matchers::MatchFinder *Finder)
| Override this to register ASTMatchers with `Finder`. More...
virtual void | check (const ast_matchers::MatchFinder::MatchResult &Result)
| `ClangTidyChecks` that register ASTMatchers should do the actual work in here. More...
DiagnosticBuilder | diag (SourceLocation Loc, StringRef Description, DiagnosticIDs::Level Level=DiagnosticIDs::Warning)
| Add a diagnostic with the check's name. More...
virtual void | storeOptions (ClangTidyOptions::OptionMap &Options)
| Should store all options supported by this check with their current values or default values for options that haven't been overridden. More...

## Additional Inherited Members
Protected Member Functions inherited from clang::tidy::ClangTidyCheck
StringRef | getCurrentMainFile () const
| Returns the main file name of the current translation unit. More...
LangOptions | getLangOpts () const
| Returns the language options from the context. More...
Protected Attributes inherited from clang::tidy::ClangTidyCheck
OptionsView | Options

## Detailed Description

Finds and fixes header guards that do not adhere to LLVM style.

Definition at line 20 of file HeaderGuardCheck.h.

## Constructor & Destructor Documentation

clang::tidy::llvm::LLVMHeaderGuardCheck::LLVMHeaderGuardCheck | ( | StringRef | Name,
|  | ClangTidyContext * | Context
| ) |  |
| inline

Definition at line 22 of file HeaderGuardCheck.h.

## Member Function Documentation

std::string clang::tidy::llvm::LLVMHeaderGuardCheck::getHeaderGuard | ( | StringRef | Filename,
|  | StringRef | OldGuard
| ) |  |
| override virtual

Get the canonical header guard for a file.

Implements clang::tidy::HeaderGuardCheck.

Definition at line 20 of file HeaderGuardCheck.cpp.

bool clang::tidy::llvm::LLVMHeaderGuardCheck::shouldFixHeaderGuard | ( | StringRef | Filename | ) |
| override virtual

Returns true if the checker should suggest changing an existing header guard to the string returned by getHeaderGuard.

Reimplemented from clang::tidy::HeaderGuardCheck.

Definition at line 16 of file HeaderGuardCheck.cpp.

bool clang::tidy::llvm::LLVMHeaderGuardCheck::shouldSuggestEndifComment | ( | StringRef | Filename | ) |
| inline override virtual

Returns true if the checker should suggest inserting a trailing comment on the #endif of the header guard.

It will use the same name as returned by getHeaderGuard.

Reimplemented from clang::tidy::HeaderGuardCheck.

Definition at line 24 of file HeaderGuardCheck.h.

The documentation for this class was generated from the following files:

- HeaderGuardCheck.h
- HeaderGuardCheck.cpp